# Project Name

TEST DEMO

This is a Demo project Developed in NextJS with Tanstack React Table.

## Features

1. **Login**: User authentication functionality.
2. **Signup**: User registration functionality.
3. **Table Data**: Data loaded from [Dummy JSON](https://dummyjson.com/products) and displayed on the home page.
4. **Review Modal**: A modal that opens from the "View Reviews" button in each table row to display product reviews.

## Getting Started

### Installation

First, install the dependencies:

```bash
npm install
# or
yarn install
# or
pnpm install
# or
bun install
```

### Running the Development Server:

```bash
npm run dev
# or
yarn dev
# or
pnpm dev
# or
bun dev
```

Open http://localhost:3000 with your browser to see the result.

You can start editing the page by modifying app/page.tsx. The page auto-updates as you edit the file.

Project Structure
Login: Navigate to the login page to authenticate users.
Signup: Navigate to the signup page to register new users.
Table Data: The home page fetches and displays product data from Dummy JSON.
Review Modal: Click the "View Reviews" button in any table row to open a modal displaying the product reviews.
API
This project uses the Dummy JSON API to fetch product data. The data is displayed in a table on the home page.

Components
Login Component: Handles user login functionality.
Signup Component: Handles user registration functionality.
Table Component: Displays product data in a table format.
Review Modal Component: Displays product reviews in a modal when the "View Reviews" button is clicked.
Contributing
If you would like to contribute to this project, please fork the repository and submit a pull request.

License
This project is licensed under the MIT License.

```

This README includes more details about the project structure, components, and API usage.
```
